Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5098)
@@ -370,43 +371,43 @@
 !$OMP THREADPRIVATE(d_deltaxt_ajs_cv)
 #endif                       
-!!         End of Wake variables
-!!
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: bils
-!$OMP THREADPRIVATE(bils)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cdragm, cdragh
-!$OMP THREADPRIVATE(cdragm, cdragh)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cldh, cldl, cldm, cldq, cldt, qsat2m
-!$OMP THREADPRIVATE(cldh, cldl, cldm, cldq, cldt, qsat2m)
-!AS: cldhjn, cldljn, cldmjn,cldtjn pas utilisés en tant que variables, juste noms de diagnostics
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: JrNt
-!$OMP THREADPRIVATE(JrNt)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: dthmin, evap, snowerosion, fder, plcl, plfc, prw, prlw, prsw, prbsw, water_budget
-!$OMP THREADPRIVATE(dthmin, evap, snowerosion, fder, plcl, plfc, prw, prlw, prsw, prbsw, water_budget)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zustar, zu10m, zv10m, rh2m
-!$OMP THREADPRIVATE(zustar, zu10m, zv10m, rh2m)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: s_lcl, s_pblh, s_pblt, s_therm
-!$OMP THREADPRIVATE(s_lcl, s_pblh, s_pblt, s_therm)
-!
-!nrlmd+jyg<
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: s_pblh_x, s_pblh_w
-!$OMP THREADPRIVATE(s_pblh_x, s_pblh_w)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: s_lcl_x, s_lcl_w
-!$OMP THREADPRIVATE(s_lcl_x, s_lcl_w)
-!>nrlmd+jyg
-!
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: slab_wfbils
-!$OMP THREADPRIVATE(slab_wfbils)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte
-!$OMP THREADPRIVATE(tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxustartlic, zxrhoslic, zxqsaltlic
-!$OMP THREADPRIVATE(zxustartlic, zxrhoslic, zxqsaltlic)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxfqcalving
-!$OMP THREADPRIVATE(zxfqcalving)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxfluxlat, zxtsol, snow_lsc, zxfqfonte
-!$OMP THREADPRIVATE(zxfluxlat, zxtsol, snow_lsc, zxfqfonte)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxrunofflic
-!$OMP THREADPRIVATE(zxrunofflic)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxqsurf, rain_lsc, rain_num
-!$OMP THREADPRIVATE(zxqsurf, rain_lsc, rain_num)
+  !!         End of Wake variables
+  !!
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: bils
+  !$OMP THREADPRIVATE(bils)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: cdragm, cdragh
+  !$OMP THREADPRIVATE(cdragm, cdragh)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: cldh, cldl, cldm, cldq, cldt, qsat2m
+  !$OMP THREADPRIVATE(cldh, cldl, cldm, cldq, cldt, qsat2m)
+  !AS: cldhjn, cldljn, cldmjn,cldtjn pas utilisés en tant que variables, juste noms de diagnostics
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: JrNt
+  !$OMP THREADPRIVATE(JrNt)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: dthmin, evap, snowerosion, fder, plcl, plfc, prw, prlw, prsw, prbsw, water_budget
+  !$OMP THREADPRIVATE(dthmin, evap, snowerosion, fder, plcl, plfc, prw, prlw, prsw, prbsw, water_budget)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zustar, zu10m, zv10m, rh2m
+  !$OMP THREADPRIVATE(zustar, zu10m, zv10m, rh2m)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: s_lcl, s_pblh, s_pblt, s_therm
+  !$OMP THREADPRIVATE(s_lcl, s_pblh, s_pblt, s_therm)
+  !
+  !nrlmd+jyg<
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: s_pblh_x, s_pblh_w
+  !$OMP THREADPRIVATE(s_pblh_x, s_pblh_w)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: s_lcl_x, s_lcl_w
+  !$OMP THREADPRIVATE(s_lcl_x, s_lcl_w)
+  !>nrlmd+jyg
+  !
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: slab_wfbils
+  !$OMP THREADPRIVATE(slab_wfbils)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte
+  !$OMP THREADPRIVATE(tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxustartlic, zxrhoslic, zxqsaltlic
+  !$OMP THREADPRIVATE(zxustartlic, zxrhoslic, zxqsaltlic)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxfqcalving
+  !$OMP THREADPRIVATE(zxfqcalving)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxfluxlat, zxtsol, snow_lsc, zxfqfonte
+  !$OMP THREADPRIVATE(zxfluxlat, zxtsol, snow_lsc, zxfqfonte)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxrunofflic
+  !$OMP THREADPRIVATE(zxrunofflic)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxqsurf, rain_lsc, rain_num
+  !$OMP THREADPRIVATE(zxqsurf, rain_lsc, rain_num)
 #ifdef ISO
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: xtevap,xtprw
@@ -424,41 +425,41 @@
 !$OMP THREADPRIVATE(xtrain_lsc)
 #endif
-!
-!jyg+nrlmd<
-!!!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-!                                                                          c
-!       Declarations liees a la couche limite differentiee w-x             c
-!                                                                          c
-!!!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: sens_x, sens_w
-!$OMP THREADPRIVATE(sens_x, sens_w)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxfluxlat_x, zxfluxlat_w
-!$OMP THREADPRIVATE(zxfluxlat_x, zxfluxlat_w)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: delta_qsurf
-!$OMP THREADPRIVATE(delta_qsurf)
-!jyg<
-!!! Entrees supplementaires couche-limite
-!!      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: t_x, t_w
-!!!$OMP THREADPRIVATE(t_x, t_w)
-!!      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: q_x, q_w
-!!!$OMP THREADPRIVATE(q_x, q_w)
-!>jyg
-!!! Sorties ferret
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: dtvdf_x, dtvdf_w
-!$OMP THREADPRIVATE(dtvdf_x, dtvdf_w)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: dqvdf_x, dqvdf_w
-!$OMP THREADPRIVATE(dqvdf_x, dqvdf_w)
-! Variables supplementaires dans physiq.F relative au splitting de la surface
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:) :: pbl_tke_input
-!$OMP THREADPRIVATE(pbl_tke_input)
-! Entree supplementaire Thermiques :
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: t_therm, q_therm, u_therm, v_therm
-!$OMP THREADPRIVATE(t_therm, q_therm, u_therm, v_therm)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cdragh_x, cdragh_w
-!$OMP THREADPRIVATE(cdragh_x, cdragh_w)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cdragm_x, cdragm_w
-!$OMP THREADPRIVATE(cdragm_x, cdragm_w)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: kh, kh_x, kh_w
-!$OMP THREADPRIVATE(kh, kh_x, kh_w)
+  !
+  !jyg+nrlmd<
+  !!!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+  !                                                                          c
+  !       Declarations liees a la couche limite differentiee w-x             c
+  !                                                                          c
+  !!!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: sens_x, sens_w
+  !$OMP THREADPRIVATE(sens_x, sens_w)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxfluxlat_x, zxfluxlat_w
+  !$OMP THREADPRIVATE(zxfluxlat_x, zxfluxlat_w)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: delta_qsurf
+  !$OMP THREADPRIVATE(delta_qsurf)
+  !jyg<
+  !!! Entrees supplementaires couche-limite
+  !!      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: t_x, t_w
+  !!!$OMP THREADPRIVATE(t_x, t_w)
+  !!      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: q_x, q_w
+  !!!$OMP THREADPRIVATE(q_x, q_w)
+  !>jyg
+  !!! Sorties ferret
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: dtvdf_x, dtvdf_w
+  !$OMP THREADPRIVATE(dtvdf_x, dtvdf_w)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: dqvdf_x, dqvdf_w
+  !$OMP THREADPRIVATE(dqvdf_x, dqvdf_w)
+  ! Variables supplementaires dans physiq.F relative au splitting de la surface
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :, :) :: pbl_tke_input
+  !$OMP THREADPRIVATE(pbl_tke_input)
+  ! Entree supplementaire Thermiques :
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: t_therm, q_therm, u_therm, v_therm
+  !$OMP THREADPRIVATE(t_therm, q_therm, u_therm, v_therm)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: cdragh_x, cdragh_w
+  !$OMP THREADPRIVATE(cdragh_x, cdragh_w)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: cdragm_x, cdragm_w
+  !$OMP THREADPRIVATE(cdragm_x, cdragm_w)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: kh, kh_x, kh_w
+  !$OMP THREADPRIVATE(kh, kh_x, kh_w)
 #ifdef ISO
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:) :: dxtvdf_x, dxtvdf_w
@@ -467,66 +468,66 @@
 !$OMP THREADPRIVATE(xt_therm)
 #endif
-!!!
-!!!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-      LOGICAL, SAVE, ALLOCATABLE :: ptconv(:,:)
-      !$OMP THREADPRIVATE(ptconv)
-      REAL, SAVE, ALLOCATABLE :: ratqsc(:,:)
-      !$OMP THREADPRIVATE(ratqsc)
-!>jyg+nrlmd
+  !!!
+  !!!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+  LOGICAL, SAVE, ALLOCATABLE :: ptconv(:, :)
+  !$OMP THREADPRIVATE(ptconv)
+  REAL, SAVE, ALLOCATABLE :: ratqsc(:, :)
+  !$OMP THREADPRIVATE(ratqsc)
+  !>jyg+nrlmd
   !
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: wbeff, convoccur, zmax_th, zq2m, zt2m
-!$OMP THREADPRIVATE(wbeff, convoccur, zmax_th, zq2m, zt2m)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zt2m_min_mon, zt2m_max_mon
-!$OMP THREADPRIVATE(zt2m_min_mon, zt2m_max_mon)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: t2m_min_mon, t2m_max_mon
-!$OMP THREADPRIVATE(t2m_min_mon, t2m_max_mon)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: weak_inversion
-!$OMP THREADPRIVATE(weak_inversion)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: alp_bl_conv,alp_bl_det
-!$OMP THREADPRIVATE(alp_bl_conv,alp_bl_det)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: alp_bl_fluct_m,alp_bl_fluct_tke
-!$OMP THREADPRIVATE(alp_bl_fluct_m,alp_bl_fluct_tke)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: alp_bl_stat, n2, s2, strig, zcong, zlcl_th
-!$OMP THREADPRIVATE(alp_bl_stat, n2, s2, strig, zcong, zlcl_th)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: proba_notrig, random_notrig
-!$OMP THREADPRIVATE(proba_notrig, random_notrig)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: fsolsw, wfbils
-!$OMP THREADPRIVATE(fsolsw, wfbils)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: wfevap
-!$OMP THREADPRIVATE(wfevap)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: t2m, fluxlat, fsollw,evap_pot
-!$OMP THREADPRIVATE(t2m, fluxlat, fsollw,evap_pot)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: dnwd0, omega
-!$OMP THREADPRIVATE(dnwd0, omega)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: epmax_diag ! epmax_cape
-!$OMP THREADPRIVATE(epmax_diag)
-!
-!  Deep convective variables used in phytrac
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: ep ! epmax_cape
-!$OMP THREADPRIVATE(ep)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: dnwd, upwd
-!$OMP THREADPRIVATE(dnwd, upwd)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: pmflxr, pmflxs
-!$OMP THREADPRIVATE(pmflxr, pmflxs)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: wdtrainA, wdtrainS, wdtrainM
-!$OMP THREADPRIVATE(wdtrainA, wdtrainS, wdtrainM)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: da, mp
-!$OMP THREADPRIVATE(da, mp)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: wght_cvfd
-!$OMP THREADPRIVATE(wght_cvfd)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:):: phi, phi2, elij, epmlmMm
-!$OMP THREADPRIVATE(phi, phi2, elij, epmlmMm)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: d1a, dam
-!$OMP THREADPRIVATE(d1a, dam)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: ev
-!$OMP THREADPRIVATE(ev)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: qtaa
-!$OMP THREADPRIVATE(qtaa)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: clw
-!$OMP THREADPRIVATE(clw)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)  :: eplaMm
-!$OMP THREADPRIVATE(eplaMm)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:):: sij
-!$OMP THREADPRIVATE(sij)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: wbeff, convoccur, zmax_th, zq2m, zt2m
+  !$OMP THREADPRIVATE(wbeff, convoccur, zmax_th, zq2m, zt2m)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zt2m_min_mon, zt2m_max_mon
+  !$OMP THREADPRIVATE(zt2m_min_mon, zt2m_max_mon)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: t2m_min_mon, t2m_max_mon
+  !$OMP THREADPRIVATE(t2m_min_mon, t2m_max_mon)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: weak_inversion
+  !$OMP THREADPRIVATE(weak_inversion)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: alp_bl_conv, alp_bl_det
+  !$OMP THREADPRIVATE(alp_bl_conv,alp_bl_det)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: alp_bl_fluct_m, alp_bl_fluct_tke
+  !$OMP THREADPRIVATE(alp_bl_fluct_m,alp_bl_fluct_tke)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: alp_bl_stat, n2, s2, strig, zcong, zlcl_th
+  !$OMP THREADPRIVATE(alp_bl_stat, n2, s2, strig, zcong, zlcl_th)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: proba_notrig, random_notrig
+  !$OMP THREADPRIVATE(proba_notrig, random_notrig)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: fsolsw, wfbils
+  !$OMP THREADPRIVATE(fsolsw, wfbils)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: wfevap
+  !$OMP THREADPRIVATE(wfevap)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: t2m, fluxlat, fsollw, evap_pot
+  !$OMP THREADPRIVATE(t2m, fluxlat, fsollw,evap_pot)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: dnwd0, omega
+  !$OMP THREADPRIVATE(dnwd0, omega)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: epmax_diag ! epmax_cape
+  !$OMP THREADPRIVATE(epmax_diag)
+  !
+  !  Deep convective variables used in phytrac
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: ep ! epmax_cape
+  !$OMP THREADPRIVATE(ep)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: dnwd, upwd
+  !$OMP THREADPRIVATE(dnwd, upwd)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: pmflxr, pmflxs
+  !$OMP THREADPRIVATE(pmflxr, pmflxs)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: wdtrainA, wdtrainS, wdtrainM
+  !$OMP THREADPRIVATE(wdtrainA, wdtrainS, wdtrainM)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: da, mp
+  !$OMP THREADPRIVATE(da, mp)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: wght_cvfd
+  !$OMP THREADPRIVATE(wght_cvfd)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :, :) :: phi, phi2, elij, epmlmMm
+  !$OMP THREADPRIVATE(phi, phi2, elij, epmlmMm)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: d1a, dam
+  !$OMP THREADPRIVATE(d1a, dam)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: ev
+  !$OMP THREADPRIVATE(ev)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: qtaa
+  !$OMP THREADPRIVATE(qtaa)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: clw
+  !$OMP THREADPRIVATE(clw)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: eplaMm
+  !$OMP THREADPRIVATE(eplaMm)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :, :) :: sij
+  !$OMP THREADPRIVATE(sij)
 #ifdef ISO
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:)  :: xtwdtrainA
@@ -575,51 +576,51 @@
 #endif
 #endif
-!
-!      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: coefh, coefm, lambda_th
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: lambda_th
-!$OMP THREADPRIVATE(lambda_th)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: cldemi, cldfra, cldtau, fiwc, fl, re, flwc
-!$OMP THREADPRIVATE(cldemi, cldfra, cldtau, fiwc, fl, re, flwc)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: qlth, qith, qsith, wiceth
-!$OMP THREADPRIVATE(qlth, qith, qsith, wiceth)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: ref_liq, ref_ice, theta, zphi
-!$OMP THREADPRIVATE(ref_liq, ref_ice, theta, zphi)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: ref_liq_pi, ref_ice_pi
-!$OMP THREADPRIVATE(ref_liq_pi, ref_ice_pi)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zx_rh, zx_rhl, zx_rhi
-!$OMP THREADPRIVATE(zx_rh, zx_rhl, zx_rhi)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: prfl, psfl, fraca, bsfl
-!$OMP THREADPRIVATE(prfl, psfl, fraca, bsfl)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: Vprecip, zw2
-!$OMP THREADPRIVATE(Vprecip, zw2)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: pmfd, pmfu
-!$OMP THREADPRIVATE(pmfd, pmfu)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:) :: fluxt, fluxu, fluxv
-!$OMP THREADPRIVATE(fluxt, fluxu, fluxv)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:) :: uwriteSTD, vwriteSTD, wwriteSTD
-!$OMP THREADPRIVATE(uwriteSTD, vwriteSTD, wwriteSTD)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:) :: phiwriteSTD, qwriteSTD, twriteSTD, rhwriteSTD
-!$OMP THREADPRIVATE(phiwriteSTD, qwriteSTD, twriteSTD, rhwriteSTD)
-
-
-! ug et d'autres encore:
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: beta_prec
-!$OMP THREADPRIVATE(beta_prec)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: rneb,rnebjn,rneblsvol
-!$OMP THREADPRIVATE(rneb,rnebjn,rneblsvol)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: pfraclr,pfracld
-!$OMP THREADPRIVATE(pfraclr,pfracld)
-      REAL, SAVE, ALLOCATABLE :: cldfraliq(:,:)
-!$OMP THREADPRIVATE(cldfraliq)
-      REAL, SAVE, ALLOCATABLE ::mean_icefracturb(:,:)
-!$OMP THREADPRIVATE(mean_icefracturb)
-      REAL, SAVE, ALLOCATABLE :: sigma2_icefracturb(:,:)
-!$OMP THREADPRIVATE(sigma2_icefracturb)
-
-! variables de sorties MM
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxsnow,snowhgt,qsnow,to_ice
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: sissnow,runoff,albsol3_lic
-!$OMP THREADPRIVATE(zxsnow,snowhgt,qsnow,to_ice)
-!$OMP THREADPRIVATE(sissnow,runoff,albsol3_lic)
+  !
+  !      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: coefh, coefm, lambda_th
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: lambda_th
+  !$OMP THREADPRIVATE(lambda_th)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: cldemi, cldfra, cldtau, fiwc, fl, re, flwc
+  !$OMP THREADPRIVATE(cldemi, cldfra, cldtau, fiwc, fl, re, flwc)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: qlth, qith, qsith, wiceth
+  !$OMP THREADPRIVATE(qlth, qith, qsith, wiceth)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: ref_liq, ref_ice, theta, zphi
+  !$OMP THREADPRIVATE(ref_liq, ref_ice, theta, zphi)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: ref_liq_pi, ref_ice_pi
+  !$OMP THREADPRIVATE(ref_liq_pi, ref_ice_pi)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: zx_rh, zx_rhl, zx_rhi
+  !$OMP THREADPRIVATE(zx_rh, zx_rhl, zx_rhi)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: prfl, psfl, fraca, bsfl
+  !$OMP THREADPRIVATE(prfl, psfl, fraca, bsfl)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: Vprecip, zw2
+  !$OMP THREADPRIVATE(Vprecip, zw2)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: pmfd, pmfu
+  !$OMP THREADPRIVATE(pmfd, pmfu)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :, :) :: fluxt, fluxu, fluxv
+  !$OMP THREADPRIVATE(fluxt, fluxu, fluxv)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :, :) :: uwriteSTD, vwriteSTD, wwriteSTD
+  !$OMP THREADPRIVATE(uwriteSTD, vwriteSTD, wwriteSTD)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :, :) :: phiwriteSTD, qwriteSTD, twriteSTD, rhwriteSTD
+  !$OMP THREADPRIVATE(phiwriteSTD, qwriteSTD, twriteSTD, rhwriteSTD)
+
+
+  ! ug et d'autres encore:
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: beta_prec
+  !$OMP THREADPRIVATE(beta_prec)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: rneb, rnebjn, rneblsvol
+  !$OMP THREADPRIVATE(rneb,rnebjn,rneblsvol)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: pfraclr, pfracld
+  !$OMP THREADPRIVATE(pfraclr,pfracld)
+  REAL, SAVE, ALLOCATABLE :: cldfraliq(:, :)
+  !$OMP THREADPRIVATE(cldfraliq)
+  REAL, SAVE, ALLOCATABLE :: mean_icefracturb(:, :)
+  !$OMP THREADPRIVATE(mean_icefracturb)
+  REAL, SAVE, ALLOCATABLE :: sigma2_icefracturb(:, :)
+  !$OMP THREADPRIVATE(sigma2_icefracturb)
+
+  ! variables de sorties MM
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: zxsnow, snowhgt, qsnow, to_ice
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: sissnow, runoff, albsol3_lic
+  !$OMP THREADPRIVATE(zxsnow,snowhgt,qsnow,to_ice)
+  !$OMP THREADPRIVATE(sissnow,runoff,albsol3_lic)
 #ifdef ISO
       REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: zxxtsnow
